summaryrefslogtreecommitdiff
path: root/mutt/mutt-editor
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2015-03-02 20:23:28 +0200
committerLars Wirzenius <liw@liw.fi>2015-03-02 20:23:28 +0200
commit585300a2e86331864e91236cff42c32c67a9cb8d (patch)
tree890b453169087dc79f8348a057d763a5307ce919 /mutt/mutt-editor
parent95a27c78eb348eae0de561b236a001f8b768282a (diff)
downloadliw-dot-files-585300a2e86331864e91236cff42c32c67a9cb8d.tar.gz
Move mutt stuff under mutt/
Diffstat (limited to 'mutt/mutt-editor')
-rwxr-xr-xmutt/mutt-editor10
1 files changed, 10 insertions, 0 deletions
diff --git a/mutt/mutt-editor b/mutt/mutt-editor
new file mode 100755
index 0000000..ec32f10
--- /dev/null
+++ b/mutt/mutt-editor
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+# Script to run editor from mutt. For some reason, the combination of
+# mutt and Emacs results in gnome-terminal getting confused. Running
+# clear fixes that.
+
+set -eu
+
+"$EDITOR" "$@"
+reset